Package org.springframework.cglib.reflect

# Class MethodDelegate.Generator

java.lang.Object
org.springframework.cglib.core.AbstractClassGenerator
org.springframework.cglib.reflect.MethodDelegate.Generator

All Implemented Interfaces:
  `ClassGenerator`

Enclosing class:
  MethodDelegate

public static class MethodDelegate.Generator extends AbstractClassGenerator

## Nested Class Summary

## Nested classes/interfaces inherited from class org.springframework.cglib.core.AbstractClassGenerator

`AbstractClassGenerator.ClassLoaderData, AbstractClassGenerator.Source`

## Constructor Summary

Constructors
Constructor
Description
`Generator()`

## Method Summary

Modifier and Type
Method
Description
`MethodDelegate`
`create()`
`protected Object`
`firstInstance(Class type)`
`void`
`generateClass(ClassVisitor v)`
`protected ClassLoader`
`getDefaultClassLoader()`
`protected ProtectionDomain`
`getProtectionDomain()`
Returns the protection domain to use when defining the class.
`protected Object`
`nextInstance(Object instance)`
`void`
`setInterface(Class iface)`
`void`
`setMethodName(String methodName)`
`void`
`setTarget(Object target)`
`void`
`setTargetClass(Class targetClass)`

### Methods inherited from class org.springframework.cglib.core.AbstractClassGenerator

`create, generate, getAttemptLoad, getClassLoader, getClassName, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setContextClass, setNamePrefix, setNamingPolicy, setStrategy, setUseCache, unwrapCachedValue, wrapCachedClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Generator

public Generator()

## Method Details

### setTarget

public void setTarget(Object target)

### setTargetClass

public void setTargetClass(Class targetClass)

### setMethodName

public void setMethodName(String methodName)

### setInterface

public void setInterface(Class iface)

### getDefaultClassLoader

protected ClassLoader getDefaultClassLoader()

Specified by:
  `getDefaultClassLoader` in class `AbstractClassGenerator`

### getProtectionDomain

protected ProtectionDomain getProtectionDomain()
Description copied from class: `AbstractClassGenerator`
Returns the protection domain to use when defining the class.

Default implementation returns `null` for using a default protection domain. Sub-classes may override to use a more specific protection domain.

Overrides:
  `getProtectionDomain` in class `AbstractClassGenerator`
Returns:
  the protection domain (`null` for using a default)

### create

public MethodDelegate create()

### firstInstance

protected Object firstInstance(Class type)

Specified by:
  `firstInstance` in class `AbstractClassGenerator`

### nextInstance

protected Object nextInstance(Object instance)

Specified by:
  `nextInstance` in class `AbstractClassGenerator`

### generateClass

public void generateClass(ClassVisitor v) throws NoSuchMethodException

Throws:
  `NoSuchMethodException`